PHP Manual
Prev |  | Next

# SDO_DAS_ChangeSummary::getOldValues

(no version information, might be only in CVS)

SDO_DAS_ChangeSummary::getOldValues -- Get the old values for a given changed SDO_DataObject

## Description

SDO_List SDO_DAS_ChangeSummary::getOldValues ( SDO_DataObject data_object )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Get a list of the old values for a given changed SDO_DataObject. Returns a list of SDO_DAS_Settings describing the old values for the changed properties of the SDO_DataObject.

## Parameters

data_object

  The data object which has been changed.

## Return Values

A list of SDO_DAS_Settings describing the old values for the changed properties of the SDO_DataObject. If the change type is SDO_DAS_ChangeSummary::ADDITION, this list is empty.

Prev | Home | Next
SDO_DAS_ChangeSummary::getOldContainer | Up | SDO_DAS_ChangeSummary::isLogging